#ifndef DBTABLEWIDGET_H_INCLUDED
#define DBTABLEWIDGET_H_INCLUDED

#include <Wt/WTable>
#include <Wt/WText>
#include <Wt/WContainerWidget>

namespace Wt
{
    class WTable;
    class WContainerWidget;
    class WText;
}

using namespace Wt;


class DBTableWidget: public WTable
{
public:
    DBTableWidget(const std::string& strTableName, WContainerWidget* parent = NULL);

private:
    std::string tableName;

    void Initialize();

};


#endif // DBTABLEWIDGET_H_INCLUDED
